@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&family=Ruda:wght@400;600;700&display=swap");
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background: rgb(77, 14, 203);
    background: radial-gradient( circle, rgba(77, 14, 203, 1) 0%, rgba(255, 255, 255, 1) 100%);
    font-family: "poppins", sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
}

.quiz-container {
    background: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px 2px rgba(100, 100, 100, 0.1);
    max-width: 800px;
    width: 100%;
}

.quiz-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 2rem 2rem;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.quiz-header h2 {
    font-size: 1.5rem;
}

.quiz-header p {
    background: #111;
    padding: 0.4rem 1rem;
    color: #fff;
    border-radius: 5px;
}

.quiz-body {
    padding: 2rem 2rem;
}

.quiz-body h2 {
    padding: 1rem 0;
    font-size: 2rem;
    font-weight: 500;
    text-align: center;
    margin: 0;
}

.quiz-body ul {
    list-style: none;
    padding: 0;
}

.quiz-body ul li {
    margin: 1rem 0;
    font-size: 1rem;
    border: 1px solid #aab7b8;
    padding: 0.7rem;
    border-radius: 5px;
    cursor: pointer;
}

.quiz-body ul li label {
    cursor: pointer;
    padding: 0 0.4rem;
}

.quiz-footer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 2rem;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
}

.quiz-footer button {
    padding: 0.6rem 1.5rem;
    outline: none;
    background: #111;
    border: 0;
    cursor: pointer;
    font-family: inherit;
    border-radius: 5px;
    color: #fff;
    opacity: 0.9;
    transition: 0.3s ease-in-out;
}

.quiz-body button {
    padding: 0.6rem 1rem;
    outline: none;
    background: #111;
    border: 0;
    cursor: pointer;
    font-family: inherit;
    border-radius: 5px;
    color: #fff;
    opacity: 0.9;
    transition: 0.3s ease-in-out;
    display: block;
    margin: 0 auto;
}

.quiz-footer button:hover {
    opacity: 1;
}

.quiz-form {
    padding: 2rem;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px 2px rgba(100, 100, 100, 0.1);
    margin: 0 auto;
}

form {
    display: grid;
    gap: 1rem;
}

label {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

input {
    padding: 0.5rem;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}

small {
    font-size: 0.8rem;
    color: #777;
}

button {
    padding: 0.8rem;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1rem;
    transition: background-color 0.3s ease-in-out;
}

button:hover {
    background-color: #45a049;
}